[arch-commits] Commit in glib2/repos (testing-i686 testing-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Oct 17 17:31:43 EDT 2008


    Date: Friday, October 17, 2008 @ 17:31:43
  Author: jgc
Revision: 15727

Merged revisions 15726 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/glib2/trunk

........
  r15726 | jgc | 2008-10-17 23:31:25 +0200 (Fri, 17 Oct 2008) | 1 line
  
  upgpkg: glib2 2.18.2-1
........

Modified:
  glib2/repos/testing-i686/	(properties)
  glib2/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: glib2/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /glib2/trunk:1-12882
   + /glib2/trunk:1-15726

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-10-17 21:31:25 UTC (rev 15726)
+++ testing-i686/PKGBUILD	2008-10-17 21:31:43 UTC (rev 15727)
@@ -2,7 +2,7 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=glib2
-pkgver=2.18.1
+pkgver=2.18.2
 pkgrel=1
 pkgdesc="Common C routines used by GTK+ 2.4 and other libs"
 url="http://www.gtk.org/"
@@ -14,16 +14,17 @@
 source=(http://ftp.gnome.org/pub/GNOME/sources/glib/2.18/glib-${pkgver}.tar.bz2
 	glib2.sh
 	glib2.csh)
-md5sums=('51a9a33f49a4896d4d95d8e980666b9e'
+md5sums=('d11a5cc5e08cff53349a3481816fdaff'
          '803017b365bd35dc20b092ce43b8c8c5'
          '90c7b830bef4baf225c2eb8b7ead0cab')
 
 build() {
-  cd ${startdir}/src/glib-${pkgver}
+  cd "${srcdir}/glib-${pkgver}"
   ./configure --prefix=/usr --enable-static --enable-shared --with-pcre=system --disable-fam || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -d -m755 ${startdir}/pkg/etc/profile.d
-  install -m755 ${startdir}/src/glib2.{csh,sh} ${startdir}/pkg/etc/profile.d/ || return 1
+  install -d -m755 "${pkgdir}/etc/profile.d"
+  install -m755 "${srcdir}/glib2.sh" "${pkgdir}/etc/profile.d/" || return 1
+  install -m755 "${srcdir}/glib2.csh" "${pkgdir}/etc/profile.d/" || return 1
 }




More information about the arch-commits mailing list